Brandstore

Orders

Retrieve orders

get
https://{your-bynder-domain}/api/store/order/

Query Parameters

pageinteger

Example:1

Response

200 application/json

A list of orders

account_namestring

Example:Bynder

currency_symbolstring

Example:8364

date_createdstring

Example:2018-10-25T14:26:01+00:00

idstring

Example:00000000-0000-0000-0000-000000000000

net_pricenumber
order_refstring

Example:NA13334

order_statusstring

Example:In production

usernamestring

Example:john.doe@bynder.com

get/api/store/order/
 
200 application/json

Retrieve specific order info

get
https://{your-bynder-domain}/api/store/order/{id}/

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

200 application/json

Specific order information

dateCreatedstring

Example:2015-06-01T08:36:18Z

idstring

Example:00000000-0000-0000-0000000000000000

orderReferencestring

Example:NL0456

statusstring

Example:IN_PRODUCTION

get/api/store/order/{id}/
 
200 application/json

Retrieve specific order by id

get
https://{your-bynder-domain}/api/store/order/{id}/products

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Response

200 application/json

Specific order products

idstring

Example:00000000-0000-0000-0000-000000000000

itemPricenumber

Example:0.2333

namestring

Example:Train the trainer product

orderIdstring

Example:00000000-0000-0000-0000-000000000000

productobject
Show Child Parameters
quantityinteger

Example:3

referenceIdstring

Example:999999999

get/api/store/order/{id}/products
 
200 application/json

Modify order

post
https://{your-bynder-domain}/api/store/order/{id}/products

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000000000000000

Body

application/x-www-form-urlencoded
messagestring

Example:Order has been delivered

statusstring

Allowed values:IN_PROGRESSCANCELEDFAILEDWAITING_FOR_PAYMENTFOR_ORDERIN_PRODUCTIONPRODUCTION_SUSPENDEDOUT_FOR_DELIVERYFINISHED

Example:IN_PROGRESS

trackingnumberstring

Example:trackingnumber

Response

201 application/json

Order modified

messagestring

Example:Created

status_codeinteger

Example:201

post/api/store/order/{id}/products

Body

{}
 
201 application/json